Bug 1366620 - Node initalization fails with "loop" type of disks on node
Summary: Node initalization fails with "loop" type of disks on node
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Storage Console
Classification: Red Hat
Component: core
Version: 2
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 3
Assignee: Shubhendu Tripathi
QA Contact: Martin Kudlej
URL:
Whiteboard:
Depends On:
Blocks: Console-2-Async
TreeView+ depends on / blocked
 
Reported: 2016-08-12 13:00 UTC by Shubhendu Tripathi
Modified: 2016-10-19 15:21 UTC (History)
5 users (show)

Fixed In Version: rhscon-core-0.0.42-1.el7scon.x86_64
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-10-19 15:21:50 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Gerrithub.io 287061 0 None None None 2016-08-12 20:41:30 UTC
Red Hat Product Errata RHSA-2016:2082 0 normal SHIPPED_LIVE Moderate: Red Hat Storage Console 2 security and bug fix update 2017-04-18 19:29:02 UTC

Description Shubhendu Tripathi 2016-08-12 13:00:43 UTC
Description of problem:
If there are devices of type "loop" on the node, node initialization failws with python exception. This causes import cluster flow break as well.

Version-Release number of selected component (if applicable):


How reproducible:
Always with loop type disks

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 2 Shubhendu Tripathi 2016-08-17 04:34:10 UTC
Patch is available for the issue but would be taken up in async release so moving it.

Comment 3 Jeff Applewhite 2016-08-25 20:03:39 UTC
we should also ignore floppy devices - there is another related bug to this

Comment 4 Martin Kudlej 2016-09-26 13:10:16 UTC
Tested with:
Server:
ceph-ansible-1.0.5-33.el7scon.noarch
ceph-installer-1.0.15-2.el7scon.noarch
rhscon-ceph-0.0.42-1.el7scon.x86_64
rhscon-core-0.0.43-1.el7scon.x86_64
rhscon-core-selinux-0.0.43-1.el7scon.noarch
rhscon-ui-0.0.57-1.el7scon.noarch
Node:
ceph-base-10.2.2-41.el7cp.x86_64
ceph-common-10.2.2-41.el7cp.x86_64
ceph-osd-10.2.2-41.el7cp.x86_64
ceph-selinux-10.2.2-41.el7cp.x86_64
libcephfs1-10.2.2-41.el7cp.x86_64
python-cephfs-10.2.2-41.el7cp.x86_64
rhscon-agent-0.0.19-1.el7scon.noarch
rhscon-core-selinux-0.0.43-1.el7scon.noarch

and
1) I still see issues with floppy drives https://bugzilla.redhat.com/show_bug.cgi?id=1370257 and https://bugzilla.redhat.com/show_bug.cgi?id=1370260
2) I still see issues with removable drives https://bugzilla.redhat.com/show_bug.cgi?id=1351953

but there is no issue with loop type of drives(/dev/sr*) --> VERIFIED

Comment 5 errata-xmlrpc 2016-10-19 15:21:50 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2016:2082


Note You need to log in before you can comment on or make changes to this bug.